Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Interface Query

All Superinterfaces:
  QueryProperties

public interface Query
extends QueryProperties

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.ejb.QueryProperties
`TX_MANDATORY, TX_REQUIRED, TX_REQUIRES_NEW`

Method Summary
`ResultSet` | `execute(String query)` Executes the specified query.
`ResultSet` | `execute(String query, Properties props)` Executes the specified query.
`Collection` | `find(String query)` Executes the specified query.
`Collection` | `find(String query, Properties props)` Executes the specified query.
`String` | `getLanguage()` This method can be called to find out what query language this Query instance is using.

Methods inherited from interface weblogic.ejb.QueryProperties
`getEnableQueryCaching, getIncludeUpdates, getMaxElements, getTransaction, isResultTypeRemote, setEnableQueryCaching, setIncludeUpdates, setMaxElements, setResultTypeRemote, setTransaction`

Method Detail

### execute

    public ResultSet execute(String query)
                      throws FinderException

  Executes the specified query.

  Throws:
    `FinderException`

### execute

    public ResultSet execute(String query,
                             Properties props)
                      throws FinderException

  Executes the specified query.

  Throws:
    `FinderException`

### find

    public Collection find(String query)
                    throws FinderException

  Executes the specified query.

  Throws:
    `FinderException`

### find

    public Collection find(String query,
                           Properties props)
                    throws FinderException

  Executes the specified query.

  Throws:
    `FinderException`

### getLanguage

    public String getLanguage()

  This method can be called to find out what query language this Query instance is using.

  Returns:
    the query language in use: 'SQL' or 'EJB QL'

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD